package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.impl.Constant;
import org.eclipse.jdt.internal.compiler.lookup.FieldBinding;
import org.eclipse.jdt.internal.compiler.lookup.ParameterizedTypeBinding;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;
import org.eclipse.jdt.internal.compiler.lookup.Scope;
import org.eclipse.jdt.internal.compiler.lookup.Substitution;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;

public class ParameterizedFieldBinding extends FieldBinding {
  public FieldBinding originalField;
  
  public ParameterizedFieldBinding(ParameterizedTypeBinding parameterizedDeclaringClass, FieldBinding originalField) {
    super(originalField.name, ((originalField.modifiers & 0x4000) != 0) ? (TypeBinding)parameterizedDeclaringClass : (((originalField.modifiers & 0x8) != 0) ? originalField.type : Scope.substitute((Substitution)parameterizedDeclaringClass, originalField.type)), originalField.modifiers, (ReferenceBinding)parameterizedDeclaringClass, null);
    this.originalField = originalField;
    this.tagBits = originalField.tagBits;
    this.id = originalField.id;
  }
  
  public Constant constant() {
    return this.originalField.constant();
  }
  
  public FieldBinding original() {
    return this.originalField.original();
  }
  
  public void setConstant(Constant constant) {
    this.originalField.setConstant(constant);
  }
}
